Description

ActionView::TemplateError (undefined local variable or method “identifier' for #

<Project:0x41117880>) on line #12 of app/views/projects/_form.rhtml:

9: <% end %>

For me line 12 reads:

<p><%= f.text_field :identifier, :required => true, :size => 15, :disabled =
@project.identifier_frozen? ><br /><em><= I(:text_length_between, 3, 12) %>

<%= I(:text_project_identifier_info) unless @project.identifier_frozen? %></em><
/p>

History

#1 - 2007-04-09 14:21 - Jean-Philippe Lang

This field (identifier) was added recently.
Make sure you have migrated your database.

#2 - 2007-04-10 16:54 - Pavol Murin

| suppose you are running the svn version. Looks like you didn't
do rake db:migrate.

(remember to run it for the correct database - e.g. rake db:migrate
RAILS_ENV=production

muro

#3 - 2007-04-10 17:21 - Laran Evans
Perfect. That worked. Thanks.

#4 - 2008-02-03 11:23 - Jean-Philippe Lang

- Subject changed from Can't view project settings. Unidentified field &amp;quot;:identifier&amp;quot; in views/project/_form.rhtml to Can't view project
settings. Unidentified field identifier in views/project/_form.rhtm/
